#!/bin/bash


MAIN_PATH="$HOME/UserFiles/lliurex-infantile-profile/"
INFANTILE_PATH="$HOME/UserFiles/lliurex-infantile-profile/infantile"
PRIMARY_PATH="$HOME/UserFiles/lliurex-infantile-profile/primary"
SECONDARY_PATH="$HOME/UserFiles/lliurex-infantile-profile/secondary"

DOTCONFIG="$HOME/.config/menus"
DOTLOCAL="$HOME/.local/share/desktop-directories"



if [ "$1" == "infantile" ]; then

	echo "reseting infantile profile menu"
	if [ -e $INFANTILE_PATH ];then

		rm -rf $INFANTILE_PATH
	fi

else

if [ "$1" == "primary" ]; then

	echo "reseting primary profile menu"
	if [ -e $PRIMARY_PATH ];then

		rm -rf $PRIMARY_PATH
	fi

else

if [ "$1" == "secondary" ]; then

	echo "reseting secondary profile menu"
	if [ -e $SECONDARY_PATH ];then

		rm -rf $SECONDARY_PATH
	fi

else

	echo "USAGE:"
	echo "       reset-files infantile"
	echo "       reset-files primary"
	echo "       reset-files secondary"
	echo ""
fi

fi 

fi

