#!/bin/bash


MAIN_PATH="$HOME/UserFiles/lliurex-infantile-profile/"
INFANTILE_PATH="$HOME/UserFiles/lliurex-infantile-profile/infantile"
PRIMARY_PATH="$HOME/UserFiles/lliurex-infantile-profile/primary"
SECONDARY_PATH="$HOME/UserFiles/lliurex-infantile-profile/secondary"

DOTCONFIG="$HOME/.config/menus"
DOTLOCAL="$HOME/.local/share/desktop-directories"



mkdir -p $MAIN_PATH
mkdir -p $DOTCONFIG
mkdir -p $DOTLOCAL

if [ "$1" == "infantile" ]; then

	echo "saving infantile profile menu"
	mkdir -p $INFANTILE_PATH

	if [ -e $INFANTILE_PATH/menus ];then

		rm -rf $INFANTILE_PATH/menus
	fi

	if [ -e $INFANTILE_PATH/desktop-directories ];then

		rm -rf $INFANTILE_PATH/desktop-directories
	fi

	cp -r $DOTCONFIG $INFANTILE_PATH
	cp -r $DOTLOCAL $INFANTILE_PATH

else

if [ "$1" == "primary" ]; then

	echo "saving primary profile menu"
	mkdir -p $PRIMARY_PATH

	if [ -e $PRIMARY_PATH/menus ];then

		rm -rf $PRIMARY_PATH/menus
	fi

	if [ -e $PRIMARY_PATH/desktop-directories ];then

		rm -rf $PRIMARY_PATH/desktop-directories
	fi


	cp -r $DOTCONFIG $PRIMARY_PATH
	cp -r $DOTLOCAL $PRIMARY_PATH




else

if [ "$1" == "secondary" ]; then

	echo "saving secondary profile menu"
	mkdir -p $SECONDARY_PATH
	if [ -e $SECONDARY_PATH/menus ];then

		rm -rf $SECONDARY_PATH/menus
	fi

	if [ -e $SECONDARY_PATH/desktop-directories ];then

		rm -rf $SECONDARY_PATHdesktop-directories
	fi
	cp -r $DOTCONFIG $SECONDARY_PATH
	cp -r $DOTLOCAL $SECONDARY_PATH


else

	echo "USAGE:"
	echo "       save-files infantile"
	echo "       save-files primary"
	echo "       save-files secondary"
	echo ""
fi

fi 

fi

